from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XChartDataArray(XChartData, Protocol):
    def getData(self) -> list[list[float]]: ...
    def setData(self, aData: sequence< sequence< double > >) -> None: ...
    def getRowDescriptions(self) -> list[str]: ...
    def setRowDescriptions(self, aRowDescriptions: sequence< string >) -> None: ...
    def getColumnDescriptions(self) -> list[str]: ...
    def setColumnDescriptions(self, aColumnDescriptions: sequence< string >) -> None: ...
